#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"
#
%define		pdir	Crypt
%define		pnam	Khazad
Summary:	Crypt::Khazad - Crypt::CBC-compliant block cipher
Summary(pl.UTF-8):	Crypt::Khazad - szyfr blokowy kompatybilny z Crypt::CBC
Name:		perl-Crypt-Khazad
Version:	1.0.3
Release:	20
License:	GPL v2
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Crypt/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	f6908bf11cb780d455a8779a60ecc570
URL:		http://search.cpan.org/dist/Crypt-Khazad/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Khazad is a 128-bit key, 64-bit block cipher. Designed by Vincent
Rijmen and Paulo S. L. M. Barreto, Khazad is a NESSIE finalist for
legacy-level block ciphers. Khazad has many similarities with
Rijndael, and has an extremely high rate of diffusion. This module
supports the Crypt::CBC interface.

%description -l pl.UTF-8
Khazad to 64-bitowy szyfr blokowy ze 128-bitowym kluczem. Został
opracowany przez Vincenta Rijmena i Paulo S. L. M. Baretto. Khazad
jest finalistą NESSIE w kategorii spadkowych szyfrów blokowych.
Khazad ma wiele podobieństw do algorytmu Rijndael i ma bardzo
duży współczynnik dyfuzji. Ten moduł obsługuje interfejs Crypt::CBC.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cd examples
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
for f in * ; do
	sed -e "s@#!/usr/local/bin/perl@#!/usr/bin/perl@" $f \
		> $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/$f
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Crypt/Khazad.pm
%dir %{perl_vendorarch}/auto/Crypt/Khazad
%attr(755,root,root) %{perl_vendorarch}/auto/Crypt/Khazad/Khazad.so
%{_mandir}/man3/*
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}
%changelog
* Sun Jun 30 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Crypt-Khazad.git;a=log;h=master

* Sun Jun 30 2024 Jan Palus <atler@pld-linux.org> c0446c1
- perl 5.40.0 rebuild

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> e39919c
- perl 5.38.0 rebuild

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> 9b5deff
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> a803bbc
- rebuild with perl 5.34.0

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 39dcd64
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> a245e27
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> d43927c
- rebuild with perl 5.30.0
- release 15 (by relup.sh)

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> 642e461
- rebuild with perl 5.28.0
- release 14 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 81af954
- perl req/prov fix
- release 13 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> eccf9bf
- rebuild with perl 5.26
- release 12 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 326fc66
- rebuild with perl 5.24.0
- release 11 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 05c529f
- release 10 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 5dda5ec
- x32 rebuild
- release 9 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 0da189c
- release 8 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> b61a4de
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 146a85d
- rebuild for perl 5.20
- release 7 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> bce2de9
- rebuild with perl 5.18.0
- release 6 (by relup.sh)

* Wed Jun 30 2010 amateja <amateja@pld-linux.org> 32328f0
- release 5

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 4df02ad
- release 4

* Sat Mar 15 2008 Jakub Bogusz <qboosh@pld-linux.org> 2ed515a
- generic URL

